pendingDelete: what does it mean?

About to be released. The domain is about to be deleted and released for anyone to register, usually within five days. It can no longer be restored.

Who sets it

The registry, after the redemption period ends.

How to clear it

It cannot be cleared. Once released, the name can be registered again.

How it appears

In WHOIS: pendingDelete. In RDAP: pending delete.

Questions

Is pendingDelete a problem?

For the owner, yes: the domain has expired and is on its way to being released.

Who can remove pendingDelete?

Only the registry. The owner asks the registrar, which asks the registry.

How do I see a domain's status codes?

Look the domain up above. Every status code it carries is listed and explained.

Related status codes

For AI assistants
Status code: pendingDelete (RDAP: pending delete)
Meaning: The domain is about to be deleted and released for anyone to register, usually within five days. It can no longer be restored.
Set by: The registry, after the redemption period ends.
To clear: It cannot be cleared. Once released, the name can be registered again.
Source: RFC 5731, RFC 3915, RFC 8056